<article>
# Ifremer

Between 2016 and 2017 I worked in Ifremer Brest, on marine observatory stations. During this period I improved the developer environment, installing a lot of automation tools for building, checking and deploying/flashing the software on a testing environment.

I also worked on understanding / reverse engineering an acoustic MODEM protocol.

- Bare metal C development
	+ ARM EFM32 board
- Gitlab / CI / Chat server setup
	+ Gitlab instance
	+ Mattermost instance, linked to Gitlab
	+ GitlabCI (`gitlab-ci-runner`) to run automated tests
	+ Automated updates of both the server OS (CoreOS) and services (mostly Docker containers)
	+ Automated CoreOS setup changes through GitlabCI

</article>

<article>
# Thales Airborne Systems

<div class="cinema">
	<a
		data-lightbox="thales"
		href="img/thales-1.jpg"
		title="Company logo">
		![](/img/thales-1.jpg)</a>
</div>

Between 2014 and 2015, I worked in sandwich courses at Thales Airbourne Systems.

My mission was to __evaluate Yocto__ for building embedded Linux distributions, tuned to __match__ as much as possible the __system capabilities__.

Yocto is a __recent__ project based on OpenEmbedded Bitbake, similar to Buildroot. It __automates__ the task of building, installing and configuring softwares to __assemble__ a __complete Linux distribution__.

Yocto comes also with a lot of tools, that allows the user to execute unit tests on an emulated system, serve packages and provide updates, check that licenses are respected, ...

### Used skills
- Yocto toolchain
- Linux ecosystem
- Linux Kernel
- Build automation

### More
- [Documentation](https://git.thibautcharles.net/tcharl/yocto-public) (may be incomplete)
- [School presentation slides (fr)](http://thibautcharles.net/slides/yocto-isen-slides)

</article>


<article>
# Thales Underwater Systems

<div class="cinema">
	<a
		data-lightbox="thales"
		href="img/thales-1.jpg"
		title="Company logo">
		![](/img/thales-1.jpg)</a>
</div>

Between 2012 and 2013, I worked in sandwich courses at Thales Underwater Systems, on the __portage__ of the graphic part of the __Android SDK__ on RHEL5, and on the creation of a __custom window manager__ based on XLib.


### Used skills
- Java, C/C++ dev.
- Building Android SDK
- Desktop Environment & Window Manager
- X11 Server

### More
- [Slides (fr)](/res/Memoire_obf.pdf)

</article>




<article>
# Genesys internship

<div class="cinema">
	<a
		data-lightbox="genesys"
		href="img/genesys-1.jpg"
		title="Company logo">
		![](/img/genesys-1.jpg)</a>
</div>

In 2012, I did a 7 week internship in Genesys, an affiliate of Alcatel Lucent.

I worked on debugging the VBS Scripts for __automated regression tests__, started by another student the preceding year.

</article>

<article>
# Electronics Club

<div class="cinema">
	<a
		data-lightbox="clubelec"
		href="img/clubelec-1.jpg"
		title="Presentation sheet">
		![](/img/lowres/clubelec-1.jpg)</a>
	<a
		data-lightbox="clubelec"
		href="img/clubelec-2.jpg"
		title="LAN poster">
		![](/img/lowres/clubelec-2.jpg)</a>
</div>

Since 2011, I am an active member of the Electronics Club of ISEN Brest, a __student-driven club__ specialized in __electronics__, __computer sciences__ and __robotics__, hosted by my engineer school.


### Used skills
- Team managing
- Meetings organization
- Event poster designs
- Repair/configuration of PC running Windows/Linux, and electronic hardwares
- Electronic and programming projects

### More
- Facebook page: https://www.facebook.com/ClubElecIsenBrest

</article>
